=== debian/changelog ===
fai (2.3.1) unstable; urgency=low

  * bug fix in make-fai-bootfloppy, fcopy
  * first letter in description now uppercase (closes: #142017)
  * add option -m to make-fai-bootfloppy
  * save keymap to boottime.kmap.gz
  * add many comments to shell scripts
  * copy $loguserhome/.ssh/*.pub files to $NFSROOT/root/.ssh
  * packages from $addpackages are also installed to the system if
    they exist in $FAI/files/packages/
  * minor changes in package_config files
  * move task_confdir() to subroutines-linux
  * added create_resolv_conf(); code removed from task_confdir
  * jobsrunning() subroutine for linux and solaris added
  * faireboot: source fai.conf and subroutines-$OS_TYPE
  * subroutines-linux: additional way to determine all ethernet devices
  * move some packages from $NFSROOT_PACKAGES into make-fai-nfsroot
  * add more .ssh/ files to nfsroot
  * $FAI_SUBDIR renamed to $FAI_SHAREDIR
  * rcS_fai: add $osname
  * write some variabel definitions to $rcsfaivar (used for remote logins)
    
 -- Thomas Lange <lange@debian.org>  Tue, 16 Apr 2002 13:30:04 +0200

fai (2.3) unstable; urgency=low

  * default configurations are for Debian 3.0
  * add auto stanza to /etc/network/interfaces (closes: #114627)
  * now depends on debootstrap (closes: #128457)
  * set DEBIAN_FRONTEND to "noninteractive" (closes: #131855)
  * Fai.pm now copied to new location if woody in use (closes: #125839)
  * package upgrade does not remove nfsroot (closes: #123463)
  * many files: use $FAI instead of fixes /fai, config file moved to
    from /etc/fai.conf to /etc/fai/fai.conf
  * store log files to $LOGDIR (default to /tmp/fai), can be set in fai.conf
  * read also subroutines-$OS_TYPE file
  * fai.conf: moved to /etc/fai/fai.conf
    variables removed: FAI_ARCH, UTC (now in class/*.var), KERNELVERSION
    variables added: FAI, FAI_DEBOOTSTRAP_OPTS
  * make-fai-nfsroot sets up pxelinux environment
    automaticly determine kernel version; added get_kernel_version(),
    copies /etc/fai/.cvspass to nfsroot, can now write the floppy image to
    a file
    added call_with_stamp subroutine, for easy creation of stamps
    Tue Jan 29 20:19:27 CST 2002 -- Chad Walstrom <chad@debian.org>
    Added support to run script as a recovery operation.  This is a
    glue-script; we may as well provide the ability to fix problems and
    continue.  Changes include:
       - Adding a RUNDIR environment variable
       - A command line option "-r" for recover operations
       - logic tests and stampfiles to appropriate function calls
    Checked for existance of character file dev/boot255 before calling mknod.
    Checked for existance of $NFSROOT/proc/modules file before calling
    umount $NFSROOT/proc
    Recursively copies contents of /etc/fai/ directory (good if using CVS)
    Install $NFSROOT_PACKAGES in a second pass, to sidestep conflicts
    (e.g. so that ssh may replace rsh-client)
    Don't set up $LOGUSER's home directory if that variable is undefined
    add variable FAI_DEBOOTSTRAP_OPTS
  * conf/fai_modules_off: more modules turned off
  * call openvt with full shell path (closes: #134641)
  * hooks are also skipped if task is skipped
  * hooks that end in .source are sourced
  * class/*.mod file can now define variables
  * add ADAPTEC.mod file
  * apt/conf: set Assume-Yes "true" so apt-get (and tasksel) is noninteractive
  * lib/subroutines: /dev/ida/ and /dev/rd/ support in
    subroutine:umount_local_disks, added $netdevices_up, use $tfsab
    instead of fstab (for solaris support), /fai is now $FAI, mount shm
    file system if available, otherwise use normal ramdisk, strip comment lines
    when defining classes via scripts, added subroutine do_script,
    do_scriptss calls every script class/<classname>/S[0-9]* when class is
    not a file, execute all S[0-9]* scripts in a directory
    /fai/scripts/$class/, skip all comment lines when definig classes
    task_partition() call setup_harddisk only if no disk_var.sh exists
    defclass also sources all scripts class/S*.source
    add subroutines adddivert(), rmalldivert(); task_finish calls
    rmalldivert, task_sysinfo calls kudzu; save_log*() -maxdepth not
    needed for find, save_log*() now uses date and time for directory name;
    /tmp/fai now $LOGDIR, can be set in fai.conf; new cvs co code
  * templates/scripts: change NET and NETWORK examples; now called S10,
    S40 and located in directory /fai/scripts/NETWORK/
    BASE and DEFAULT moved to DEFAULT/S20 and DEFAULT/S01
  * setup_harddisk: raid support for /devc/rd, /dev/ida and cciss driver
    for Compaqs Smart Array Controllers, called with -d
  * doc/Makefile: detect if anything is really to do
  * use gzip -dc instead of zcat
  * make-fai-bootfloppy: do not copy /boot/System.map to floppy, new
    option -s
  * added prtnetgr; change netgroup example and script all_hosts to use it
  * fcopy: added debug message if executing postinst, ignore CVS
    directories, use File::Find, now sets envionment variables $target and
    $FAI_ROOT, bug fix in -d option, new options -L and -P,
  * KERNELVERSION not needed in fai.conf, now automaticly determined in
    make-fai-* scripts
  * FAI_FILES removed
  * Files added: THANKS, preinst, prtnetgr, pxelinux.cfg
  * Manual pages added fai-setup, install_packages, make-fai-bootfloppy,
    make-fai-nfroot
  * add use stict pragma for perl scripts
  * add auto.master and auto.scratch config for kernel automounter
  * mkdebmirror: use passive ftp mode
  * added autofs to package_CONFIG/BEOWULF
  * debian/prerm: do nothing when upgrading package
  * scripts/fai-setup: determine loguserhome earlier (closes: #136851)
  * new standards version 3.5.6
  
 -- Thomas Lange <lange@debian.org>  Tue,  9 Apr 2002 18:29:15 +0200

fai (2.2.3) unstable; urgency=low

  * added ATOMCLIENT in disk_config
  * setup_harddisks detects harddisk even if no valid partition table is
    available
  * added dosfstools to nfsroot
  * added .rhosts for ATOMCLIENTS

