=== debian/control ===
Source: fai
Section: admin
Priority: extra
Maintainer: Thomas Lange <lange@debian.org>
Standards-Version: 3.5.6
Build-Depends: debhelper, sp, debiandoc-sgml, tetex-bin, tetex-extra

Package: fai
Architecture: all
Depends: perl5, nfs-server, debootstrap
Recommends: fai-kernels, netboot, bootp | dhcp, tftpd, rsh-server, wget
Suggests: ssh
Description:  Fully Automatic Installation
 FAI is a non interactive system to install a Debian Linux operating
 system on a PC cluster. You can take one or more virgin PCs, turn on
 the power and after a few minutes Linux is installed, configured and
 running on the whole cluster, without any interaction necessary.
 Homepage: http://www.informatik.uni-koeln.de/fai
