=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=`pwd`/debian/fai
SHAREDIR = $(DESTDIR)/usr/share/fai

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

include VERSION

build: build-stamp
build-stamp:
	dh_testdir

# Add here commands to compile the package.
	$(MAKE) all

	touch build-stamp

clean:
	dh_testdir
#	dh_testroot
	rm -f build-stamp
	dh_clean
# Add here commands to clean up after the build process.
	-$(MAKE) clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
# Add here commands to install the package into debian/fai.
	$(MAKE) install DESTDIR=`pwd`/debian/fai


# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
	dh_installmanpages
#	dh_installinfo
	dh_undocumented
	dh_installchangelogs 
#	dh_link
	dh_compress -Xtemplates
	dh_fixperms
	chmod a+rx ${SHAREDIR}/templates/class/S[0-9]*.{sh,pl}
	chmod -R a+rx ${SHAREDIR}/templates/scripts/*
	chmod a+rx ${SHAREDIR}/utils/*
	chmod a+rx ${DESTDIR}/usr/lib/fai/sbin/rcS_fai
	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' ${DESTDIR}/usr/share/doc/fai/README
	find ${DESTDIR} -name CVS |xargs rm -rf
# You may want to make some executables suid here.
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
