=== doc/Makefile ===
--- 
+++ 
@@ -30,14 +30,15 @@
 	nsgmls -wall -E20 -gues $(fdocname)
 
 clean:
-	rm -rf $(docname).txt $(docname).dvi $(docname).pdf $(docname).html $(docname).sasp *~ $(docname).texinfo $(docname).ps
+	rm -rf $(docname).txt $(docname).dvi $(docname).pdf $(docname).html $(docname).sasp* *~ $(docname).texinfo $(docname).ps $(docname).out $(docname).tpt $(docname).tex
 
 print: dvi
 	dvips -f $(docname) | lpr
 
 install:
-	cp -dRp $(FILES) $(docname)* $(DESTDIR)/$(DOCDIR)
-	cp -p $(MISC_DOC) $(DESTDIR)/$(DOCDIR)
+	rm $(docname).tpt $(docname).out || true
+	cp -dRp $(FILES) $(docname)* $(DOCDIR)
+	cp -p $(MISC_DOC) $(DOCDIR)
 
 all: test pdf text html postscript
