=== debian/changelog ===
fai (2.5.4) unstable; urgency=low

  * DEFAULT/S01,S20: add async option to export lines
  * fai-guide.sgml: add info how to boot a SUN Sparc, add URL for Sparc
  * make-fai-nfsroot: add gnu-efi and silo to arch package lists, add
    sparc64 arch, ppc arch uses vmlinux not vmlinuz
  * make-fai-bootfloppy: create and use device.map for grub_floppy
    (closes: #233018), remove unused ip entry for fixed ip addresses,
    create iso9660 iso image with option -i
  * make-fai-bootfloppy.8: add option -i and an example for creating a
    cdrom image
  * rcS_fai: add prcopyleft() and fstart(), use mkfifo and tee instead of
    bash special >(), mount sysfs if available
  * doc/README.disk_config: add info about lazyformat
  * THANKS: added holger
  
 -- Thomas Lange <lange@debian.org>  Thu, 26 Feb 2004 17:07:31 +0100

fai (2.5.3) unstable; urgency=low

  * make-fai-bootfloppy: call grub in chroot environment, so correct libc
    is used, add option c and F, DHCP is now default boot protocol, be
    more verbose
  * make-fai-nfsroot: add option c which sets $cfdir (closes: 219824)
    add variable nfssize, remove package strace, check if $NFSROOT is set,
    mkdir $RUNDIR is not need any more, use $cfdir instead of fixed
    /etc/fai, do not copy fai-chboot to nfsroot, call certain commands in
    a LC_ALL=C environment, add more verbose messages, new options for
    mknbi-linux call (closes: #181393), test if FAI_SOURCES_LIST is
    defined or a sources.list file exists, be verbose when copying
    important files if option -v is set
    depmod -a ... || true so it does not stop the whole system
  * debian/control: replace netboot package with mknbi
  * debian/dirs: add var/run/fai, remove unused directory utils
  * debian/prerm: check if $NFSROOT is set, sleep 2 before removing nfsroot
  * man/make-fai-bootfloppy.8: add new options F and c
  * man/make-fai-nfsroot.8: add new option c
  * lib/task_sysinfo: show ide disk geometry
    remove detect call
    most text reformated, because subroutine definition removed
  * doc/Makefile: remove some new tempfiles, add "|| true" to rm so it
    does not complain
  * fai-chboot: add option -S, complain when host names are missing for
    option -r
  * fai.conf: add packages to the exclude list for debootstrap
    new name for KERNELPACKAGE
    add comment how to use NFSROOT_ETC_HOSTS (closes: #219433)
    remove FAI_SOURCES_LIST examples, use sources.list instead
    disable FAI_LOCAL_REPOSITORY by default
    put important variables to the top
  * examples/etc/sources.list: new file, that shows examples of different
    access method to the Debian mirror
  * fai-guide.sgml: describe new handling of sources.list, add manref to
    make-fai-nfsroot, new line for tftpd in inetd.conf, add info on use
    without DNS
  * class/06hwdetect.source: modprobe ide-detect needed for 2.4.24 kernel,
    remove ide-probe-mod, add isa-pnp
  * lib/get-boot-info: new code to extract ip parameters, fix problems
    when one parameter is missing
  * share/subroutines: islinux() not needed any more, task_chboot: always
    copy new kernel image to /boot/fai/$HOSTNAME-localboot
  * apt.conf: replace values yes with true
  * rcS_fai: new code for task action pipe at the end, new mount option
    for remounting /dev/root, copyright has one line less
  * examples/etc/dhcpd.conf: new example for a local 192.168.1 subnet, add
    nfs mount options to root-path
  * VERSION: default is kernel 2.4.24
  * chkdebnames: most parts rewritten
  * setup_harddisks: typos
  
 -- Thomas Lange <lange@debian.org>  Wed,  4 Feb 2004 14:42:40 +0100

fai (2.5.2) unstable; urgency=low

  * rcS_fai: print copyright message in red, set scroll region, add
    actimeo for nfs mounts
  * fai.conf: add exim4 packages to exlude list
  * make-fai-nfsroot: add netcat to nfsroot; remove libdetect0 from
    package list (closes: #219420), copy preferences from /etc/fai
    (closes: 219824), use apt-get dist-upgrade instead of upgrade,
    do not create base.tgz in $NFSROOT/.. and then move file
  * setup_harddisks: add -f tp mkfs.xfs option (closes: #219439)
  * faimond, faimond.8 added
  * subroutines-linux: add sndmon subroutine, try to connect faimond, on
    success, enable monitor feature, test if $ret is empty, make it a bash
    script, show nc output only when debugging
  * fai-guide.sgml: typo in URL
  * class/01alias: use other IP-addresses for exmaples
  * lib/fai-mount-disk: extend regex to support devfs names
    (closes: #218541)
  * scripts/DEFAULT/S01: create S61hdparm if $hdparm is not empty,
    set cdromdevice to SCSI if available, add code for lprng setup if
    NISLPRCLIENT and LPD
  * class/LAST.var: do not set a default value for FAI_ACTION, change in
    comment
  * add postrm file to remove all files when purging
  * subroutines: add sndmon messages, script should be bash script, change
    debug code in ifclass
  * install_packages: remove pinning info before checking for misspelt
    package name
  * fai-setup: chown of /boot/fai
  * utils/softupdate, lib/prepare_apt: use dist-upgrade
  * debian/compat created and debian/conffiles removed
  * scripts/DEFAULT1/S20: add noatime,actimeo=900 options, add linux logo
    to login messages
  * sunos/makefile: add fai-savelog to solaris tarball
  * hooks/savelog.LAST: added "unexpected IO-APIC" to ignore pattern
  * Fai.pm: test if /var/adm/messages exists
  * lib/task_sysinfo: add dmidecode call, add sfdisk -d call, change fdisk
    call
  
 -- Thomas Lange <lange@debian.org>  Tue,  6 Jan 2004 15:20:10 +0100

fai (2.5.1) unstable; urgency=low

  * share/subroutines: use $SECONDS instead of date +%s
  * fcopy: add usage info for -M
  * add chapter "advanced FAI" to fai guide
  * dhcclient-perl: add new names to mapping table
  * lib/create_ramdisk: start devfsd if needed
  * share/subroutines-linux: task_chboot should return, not exit; copy
    initrd.img to install server if needed for the kernel

