=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,10 @@
 
 DESTDIR=`pwd`/debian/fai
 SHAREDIR = $(DESTDIR)/usr/share/fai
+DOCDIR=$(DESTDIR)/usr/share/doc/fai
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=2
 
 include VERSION
 
@@ -34,30 +32,27 @@
 	dh_clean -k
 	dh_installdirs
 # Add here commands to install the package into debian/fai.
-	$(MAKE) install DESTDIR=`pwd`/debian/fai
-
+	$(MAKE) install DESTDIR=${DESTDIR}
 
 # Build architecture-independent files here.
 binary-indep: build install
-#	dh_testversion
 	dh_testdir
 	dh_testroot
 #	dh_installdebconf	
 	dh_installdocs
 #	dh_installexamples
 #	dh_installmenu
-	dh_installmanpages
+	dh_installman man/*.[1-9]
 #	dh_installinfo
-	dh_undocumented
 	dh_installchangelogs 
 #	dh_link
-	dh_compress -Xtemplates
+	dh_compress -Xexamples -X.pdf
 	dh_fixperms
-	chmod a+rx ${SHAREDIR}/templates/class/S[0-9]*.{sh,pl}
-	chmod -R a+rx ${SHAREDIR}/templates/scripts/*
-	chmod a+rx ${SHAREDIR}/utils/*
+	chmod a+rx ${DOCDIR}/examples/*/class/[0-9][0-9]*
+	chmod -R a+rx ${DOCDIR}/examples/*/scripts/*
+	chmod a+rx ${DOCDIR}/examples/utils/*
 	chmod a+rx ${DESTDIR}/usr/lib/fai/sbin/rcS_fai
-	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' ${DESTDIR}/usr/share/doc/fai/README
+	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' ${DOCDIR}/README
 	find ${DESTDIR} -name CVS |xargs rm -rf
 # You may want to make some executables suid here.
 	dh_installdeb
