=== debian/changelog ===
fai (2.6.5) unstable; urgency=medium

  * install_packages: bug fix. Do not remove package names which are
    search patterns for aptitude, read /etc/fai/install_packages.conf if
    it exists 
  * hooks/savelog.LAST: add patterns that will be ignored
  * fcopy: add support for svn and arch, add option -I, use variable
    $FCOPY_IGNOREDIRS if set
  * fcopy.8: add option -I

 -- Thomas Lange <lange@debian.org>  Thu, 11 Nov 2004 15:14:08 +0100

fai (2.6.4) unstable; urgency=medium

  * add missing Beowulf examples
  * fai-guide.sgml: fix error in link
  * fai-start-stop-daemon: add short options, because so some init.d
    scripts use them
  * rcS_fai: do not use -t when remounting
  * make-fai-nfsroot: print error when $KERNELPACKAGE is not found, add a
    package for alpha architecture
  * share/subroutines: do not dump variable $HOME and $PWD to variables.sh
  * doc/QUESTIONNAIRE: typos, add example for answer
  * install_packages: use warn instead of print for warning and verbose
    messages, add aptitude support
  * Fai.pm: add () to subroutine calls
  * prerm: do not exit when nfs server reload fails (closes: #279024)
  * setup_harddisks: add $devdisklist to call of sfdisk (closes: #276033)
  * preparte_apt: divert programs before calling apt-get update
  * subroutines-linux: redirect stdin of install_packages unless in debug
    mode (closes: #264727)

 -- Thomas Lange <lange@debian.org>  Mon,  8 Nov 2004 14:38:58 +0100

fai (2.6.3) unstable; urgency=high

  * subroutines: remove $rootpw from variables.sh (closes: #270871)
  * update to kernel 2.4.27
  * make-fai-nfsroot: force link creation of ifstate (closes: #270463),
    use /etc/shadow in $NFSROOT
  * make-fai-makefsroot.conf: add xfsprogs and xfsdump packages, adjust
    size, install with chmod 0600 (closes: #270666, #271113)
  * DEFAULT/S10: removed: add auto to /etc/modules
  * class/DEFAULT.var: use single quotes instead of double quotes,
    $kappend contains kernel parameters, new default kernel package
    kernel-image-2.4.27-1-386
  * scripts/DEFAULT/S20: remove unused action
  * packages_config/DEFAULT: add iproute to NETTOOLS
  * make-fai-nfsroot.8: add info about make-fai-nfsroot.conf,
    add option -K which first removes all kernels from nfsroot
    (make-fai-bootlfoppy is broken if multiple kernels are in the nfsroot)
  * fai-setup: add option -e which does not set up nfs environment, which
    may hang some production systems for a while
  * fai-setup.8: add info for new option
  * Makefile: install make-fai-nfsroot.conf with 0600

 -- Thomas Lange <lange@debian.org>  Mon, 13 Sep 2004 18:40:36 +0200

fai (2.6.2) unstable; urgency=high

  * install_packages: fix broken taskinst action, workaround for new
    tasksel behaviour
  * DEFAULT/S10: fix broken grub entry for FAI_BOOTPART when two kernels
    are in the nfsroot
  * fai-chboot: add option -e the opposite of -r, uses nearly the same code

 -- Thomas Lange <lange@debian.org>  Thu, 26 Aug 2004 20:09:15 +0200

fai (2.6.1) unstable; urgency=medium

  * catnc() greps through more than one file
  * changlog messages of fai-setup moved from 2.5.2 to 2.6
  * hooks/savelog.LAST: add package names which include the string "error"
    as ignorepatterns
  * make-fai-nfsroot.conf: add portmap again, since nis setup needs it
  * make-fai-nfsroot: add option -k which installs a new kernel for the
    nfsroot (closes: #256187), /root/.profile sources variables.sh, test
    if $NFSROOT/prco/self exists before umount, kernel_install() includes
    all code for installing the kernel, create dir $NFSROOT/var/state only
    when not already existing, call umount_dirs and reset trap exit for
    normal finishing script
  * control: recommends dhcp3-server (closes: #263260), update to
    standards 3.6.1, remove sp from build-depends
  * rcsfai.var is not needed any more
  * share/subroutines: do not dump readonly variables to variables.sh
  * faireboot: make it a bash script, source variables.sh, source
    subroutines, send message to faimond
  * fai-divert: do not execute if dpkg-divert is not available
  * install_pacakges: add support for tasksel remove, set default number
    of packages from 4711 to 99
  * package_config/COMPILE: replace task c-dev by list of packages names
  * prepare_apt: make diversion of invoke-rc.d
  * rules: call dh_clean after make clean
  * prerm: test if $nfsserver is empty (closes: #263906)
  * NETWORK/S40: remove /etc/hosts from fcopy list
  * DEFAULT/S20: add async to export options
  * fai-savelog: define $HOSTNAME to output of command hostname
  * subroutines-linux: task_chboot() use `hostname` instead of $HOSTNAME,
    sndmon() use $sndhostname instead of $HOSTNAME
  * remove doc/README.package_problems
  * fai-guide.sgml: add hint about dhcpd/nfsroot (closes: #264486), fix
    typos

 -- Thomas Lange <lange@debian.org>  Mon,  9 Aug 2004 14:02:13 +0200

fai (2.6) unstable; urgency=low

  * fai-setup: fix hostname detection when hostname includes a dash -,
    pass all fai-setup options to make-fai-nfsroot (closes: #255830)
  * fai.conf: move make-fai-nfsroot specific variables to make-fai-nfsroot.conf
  * fix typo in lib/get-boot-info (closes: #242739, #239405)
  * fix link in fai-guide.sgml (closes: #237794)
  * fix typo in make-fai-bootfloppy.8 (closes: #238608)
  * make-fai-bootfloppy: change lilo labels in (closes: #248955),
    check if -s option is IP-address or hostname, new path for stage
    files, remove install= line for lilo.conf, newer lilo does not need
    boot-menu.b, added support for old an new lilo
  * make-fai-nfsroot: add package dmidecode for some archs, add
    module-init-tools, libapt-pkg-perl, smartmontools, usbutils, lvm2,
    raidtools2, hwinfo, remove portmap package, jove to nfsroot, do not
    copy bootsector, use mkelf-linux,
    new code for creating timezone and localtime (closes: #201440), always
    show $NFSROOT when copying verbosely, insert newline before adding

