=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: admin
 Priority: extra
 Maintainer: Thomas Lange <lange@debian.org>
-Standards-Version: 3.5.6
-Build-Depends-Indep: debhelper, sp, debiandoc-sgml, tetex-bin, tetex-extra
+Standards-Version: 3.6.1
+Build-Depends-Indep: debhelper, debiandoc-sgml, tetex-bin, tetex-extra
 
 Package: fai
 Architecture: all
 Depends: perl, nfs-server, debootstrap
-Recommends: fai-kernels, dhcp3 | bootp, tftpd-hpa | tftpd, rsh-server, wget, syslinux
+Recommends: fai-kernels, dhcp3-server | bootp, tftpd-hpa | tftpd, rsh-server, wget, syslinux
 Suggests: ssh, debmirror, mknbi
 Description:  Fully Automatic Installation
  FAI is a non-interactive system to install a Debian GNU/Linux operating
