=== debian/rules ===
--- 
+++ 
@@ -22,9 +22,9 @@
 	dh_testdir
 #	dh_testroot
 	rm -f build-stamp
-	dh_clean
 # Add here commands to clean up after the build process.
 	-$(MAKE) clean
+	dh_clean
 
 install: build
 	dh_testdir
@@ -47,7 +47,7 @@
 	dh_installchangelogs 
 #	dh_link
 	dh_compress -Xexamples -X.pdf
-	dh_fixperms
+	dh_fixperms -X make-fai-nfsroot.conf
 	chmod a+rx ${DOCDIR}/examples/*/class/[0-9][0-9]*
 	chmod -R a+rx ${DOCDIR}/examples/*/scripts/*
 	chmod a+rx ${DOCDIR}/examples/utils/*
