## fai 2.8.4

=== debian/changelog ===
fai (2.8.4) unstable; urgency=high

  * fix important bug: remove non-US entry (closes: #310392)
  * package_config: remove nonfree package t1-xfree86-nonfree from
    examples (closes: #310705)

 -- Thomas Lange <lange@debian.org>  Wed, 25 May 2005 13:59:39 +0200

fai (2.8.3) unstable; urgency=high

  * fix a serious bug, remove debconf support (closes: #309209), debconf
    support may be included again after sarge
  * fix important bug, do not delete files in /etc/fai (closes: #309707)
  * control: remove dependency on debconf
  * postinst, postrm: remove debconf code
  * rules: do not call dh_installdebconf
  * remove debian/config, debian/template
  * remove files in debian/po: POTFILES.in de.po fr.po templates.pot
  * fai.conf: set placeholder for installserver, since debconf will not
    set it any more
  * conf/make-fai-nfsroot.conf, conf/sources.list: use ftp.debian.org
    instead of debconf's default values
  * man/fai-chboot.8: minor document patch (closes: #309138, 309142)
  * fai-guide.sgml: minor document patch, move section "For the impatient
    user" to the front (closes: #309134, #309556) 
  * README.build-sources: add memo to use -ICVS in the future

 -- Thomas Lange <lange@debian.org>  Thu, 19 May 2005 15:54:18 +0200

fai (2.8.2) unstable; urgency=high

  * remove old unused scripts from cvs source
  * updatebase: use mktemp for creating temp file, this closes a serious
    security bug (closes: #307838)
  * fai: create dir only during initial installation, fixes a critical bug
    (closes: #307632)
  * subroutines-linux: do not "mount --bind" when FAI_ROOT=/, closes
    important bug (closes: #307631)

 -- Thomas Lange <lange@debian.org>  Fri,  6 May 2005 09:23:34 +0200

fai (2.8.1) unstable; urgency=low

  * only minor bug fixes, no major changes to the code, but a lot of them
  * make-fai-bootfloppy: add missing $ to variable (closes: #304824)
  * install_packages: add missing aptitude-r call (closes: #305544), 
    add $qopt and $devnull, used when install_packages is called with
    verbose from fai-mirror
  * fai-mirror: fix wrong path (closes: #304179), remove needless test if
    mkinitrd-cd is available, add $qflag, return if $pkglist is empty, not
    when $addpackages is empty
  * fai: added $COLOR_FAI_LOGO, which is off when doing softupdate
  * fai-cd: add test if mkinitrd-cd is available
  * fai-savelog: set FAI_ACTION to noaction if undef (closes: #305283)
  * savelog.LAST: add error message to global pattern
  * make-fai-nfsroot.conf: remove --arch i386, since debootstrap now uses
    dpkg --print-installation-architecture instead of another call which
    needed gcc, change comment
  * make-fai-nfsroot: split i386 and amd64 packages list, remove packages
    from amd64 which are not available (closes: #306264)
  * menu.lst/postinst: use BOOT_PARTITION instead of ROOT_PARTITION
    (closes: 305861)
  * install_packages.8: remove option -f
  * make-fai-nfsroot.8: remove wrong information (closes: #304980)
  * control: add grub to suggests
  * rules: make hooks and postinst script executable
  * FAIBASE/10-misc: do not call tune2fs when using 2.6 kernel. This may
    hang the system
  * fr.po: added french debconf templates (closes: #306232)
  * de.po, templates.pot: remove fuzzy lines
  * README.disk_config: add notes about boot option
  * debian/postinst: replace sed -i with perl -pi -e since old sed does
    not support -i
  * fai-setup: change informational message
  * fai-mount-disk: mount file systems read only
  * 50-host-classes: move host specific class definitions to new script
  * fai-guide.sgml: fix typos and other minor mistakes

 -- Thomas Lange <lange@debian.org>  Sat, 30 Apr 2005 21:20:53 +0200

fai (2.8) unstable; urgency=high

  * remove ext2resize from $packages (closes: #303565)
  * major rewrite of simple examples (closes: #290554)
  * make-fai-nfsroot.8: add info about nfsroot location (closes: #303915)
  * fai-guide.sgml: major update for new release
  * setup_harddisks: add support for device names disk1 and disk2,
    reformat some output, print some messages only if $verbose is set
  * rcS_fai: renamed to fai, add manual page fai.8
  * fai: add $rundir, remove unused dirs at the end, call set_disk_info
    before task_defvar, add variable $DO_INIT_TASK, add code for
    softupdate support, rename rcS.log to fai.log, add copyright message
    to usage(), add option -N --new, always test $DO_INIT_TASKS with -eq
  * apt.conf: replace force-confnew with force-confdef
  * make-fai-nfsroot: use dpkg --print-installation-architecture instead
    off uname -m, add arch dependent package name to, remove "" for
    matching * in KERNELPACKAGE, test if $KERNELPACKAGE is empty
    $NFSROOT/var/tmp/packages.arch, use shadowconfig instead of pwconv
  * make-fai-nfsroot.conf: comment FAI_LOCAL_REPOSITORY, set FAICLIENTS to
    local class-C network, remove ext2resize until available again
  * subroutines: add task softupdate, add support for softupdate, add
    $DO_INIT_TASKS, minor changes in get_fai_cvs(), use swapoff -a for
    disabling swap partitions, test $DO_INIT_TASK always with -eq, use
    /var/log/fai/FAI_CLASSES
  * subroutines-linux: script prepare_apt is now updatebase, add support
    for softupdates, add task_prepareapt, sliently skip task_chboot if
    LOGUSER is undefined, $disklist now sorted, print setup_hardisks
    output also to console
  * install_packages: cleanup of multiple packages with different
    install/remove operations, add installable(), check if a package is
    listed in a package index and not only in the dpkg database, add
    force-confdef and force-confold to apt-get, install_packages.conf
    unused, remove -f, sub read_config_file
  * fai-do-scripts: now executing scripts matching [0-9[0-9]*, S[0-9]*
    also supported for backwards compatibility
  * fai-mirror: add check if mkinitrd-cd and apt-move are installed, arch
    dependent packages defined in make-fai-nfsroot, replace sed with bash

