=== debian/rules ===
--- 
+++ 
@@ -50,8 +50,9 @@
 	dh_fixperms -X make-fai-nfsroot.conf
 	chmod a+rx ${DOCDIR}/examples/*/class/[0-9][0-9]*
 	chmod -R a+rx ${DOCDIR}/examples/*/scripts/*
+	chmod a+rx ${DOCDIR}/examples/*/hooks/*
+	find ${DOCDIR}/examples/*/files -name postinst | xargs chmod a+x
 	chmod a+rx ${DOCDIR}/examples/utils/*
-	chmod a+rx ${DESTDIR}/usr/lib/fai/sbin/rcS_fai
 	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' ${DOCDIR}/README
 	find ${DESTDIR} -name CVS |xargs rm -rf
 # You may want to make some executables suid here.
