=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-FILES = fai-guide.sgml common.ent
 docname = fai-guide
 fdocname = $(docname).sgml
 MISC_DOC = FAQ QUESTIONNAIRE classes_description.txt links.html changelog.old README*
@@ -37,7 +36,7 @@
 
 install:
 	rm $(docname).tpt $(docname).out || true
-	cp -dRp $(FILES) $(docname)* $(DOCDIR)
+	cp -dRp $(docname)* $(DOCDIR)
 	cp -p $(MISC_DOC) $(DOCDIR)
 
 all: test pdf text html postscript
