=== debian/changelog ===
fai (2.8.4sarge1) stable; urgency=medium

   * closes three important bugs
   * /debian/rules: ignore .svn directories
   * fai-cd: fixed hardcoded sources.list for the install client to be
     generated, code by Michael Tautschnig (closes: #320024) and at least
     partially #329547 
   * install_packages: ignore packages ending with - when using -d
     (closes: 334333)
   * lib/create_ramdisk: make /etc/network/run/ifstate writable
     (closes: #312128) 

 -- Thomas Lange <lange@debian.org>  Wed,  4 Jan 2006 13:29:39 +0100
