=== debian/control ===
Source: fai
Section: admin
Priority: extra
Maintainer: Thomas Lange <lange@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper (>= 4.1.16), debiandoc-sgml, tetex-bin, tetex-extra

Package: fai
Architecture: all
Depends: perl, libapt-pkg-perl
Recommends: debootstrap, nfs-kernel-server | nfs-server, fai-kernels, dhcp3-server | bootp, tftpd-hpa | tftpd, rsh-server, wget, syslinux
Suggests: ssh, debmirror, mknbi, apt-move, mkinitrd-cd, grub
Description:  Fully Automatic Installation
 FAI is a non-interactive system to install a Debian GNU/Linux operating
 system unattended on a PC cluster. You can take one or more virgin
 PCs, turn on the power, and after a few minutes, Linux is installed,
 configured, and running on the whole cluster, without any interaction
 necessary.  Homepage: http://www.informatik.uni-koeln.de/fai
