=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 DESTDIR=`pwd`/debian/fai
 SHAREDIR = $(DESTDIR)/usr/share/fai
 DOCDIR=$(DESTDIR)/usr/share/doc/fai
+
+# we never want CVS and subversion files in our packages
+export DH_ALWAYS_EXCLUDE=CVS:.svn
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
